using System;
using System.Collections.Generic;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;


namespace Telerik.Web.Examples.Scheduler.MultipleResourceValues
{
    public partial class DefaultCS : System.Web.UI.Page
    {
        // You can safely ignore this method.
        // Its purpose is to limit the changes to the underlying data only to the active user session.
        protected void Page_Init(object sender, EventArgs e)
        {
            RadScheduler1.Provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments_MultipleResources.xml"), false);
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void RadScheduler1_AppointmentCreated(object sender, AppointmentCreatedEventArgs e)
        {
            List<string> users = new List<string>();
            foreach (Resource user in e.Appointment.Resources.GetResourcesByType("User"))
            {
                users.Add(user.Text);
            }

            if (users.Count > 0)
            {
                Label assignedTo = (Label)e.Container.FindControl("AssignedTo");
                assignedTo.Text = "Assigned to: " + string.Join(", ", users.ToArray());
            }

            Resource room = e.Appointment.Resources.GetResourceByType("Room");
            if (room != null)
            {
                Label location = (Label)e.Container.FindControl("Location");
                location.Text = "Location: " + room.Text;
            }
        }

        protected void RadScheduler1_DataBound(object sender, EventArgs e)
        {
            RadScheduler1.ResourceTypes.FindByName("User").AllowMultipleValues = true;
            //RadScheduler1.ResourceTypes.FindByName("Room").AllowMultipleValues = false;
        }
    }
}